import { Type } from 'class-transformer';
import 'reflect-metadata';

export class Child {
  id: string;
  color: string;
}

export class Parent extends Child {
  int: number;
  float: string;

  @Type(() => Child)
  child: Child;
}

export interface Message {
  timer?: number;
  size?: number;
  ids?: Array<string>,
}
